\name{polygrid}

\alias{polygrid}

%- Also NEED an `\alias' for EACH other topic documented here.

\title{Points inside a polygon }

\description{
  This function builds a rectangular grid and extracts points which are
  inside of a polygonal region.
}

\usage{
polygrid(xgrid, ygrid, poly, vec.inout = FALSE)
}
%- maybe also `usage' for other objects documented here.

\arguments{
  \item{xgrid}{grid values at the \emph{X}-direction.  }
  \item{ygrid}{grid values at the \emph{Y}-direction.  }
  \item{poly}{a matrix with the coordinates of the polygon.  }
  \item{vec.inout}{logical. If \code{TRUE} a logical vector is returned
  indicating whether each point of the grid is inside the polygon.  }
}

\details{
  This function is requires the package \code{splancs}.

  The function first creates a grid using the function
  \code{\link{expand.grid}} and then uses the function
  \code{\link{inout}} from the \code{splancs} package to locate the points
  of the grid which are inside the polygon.
  
  Within the package \code{geoR}, this function is typically used to select points to perform spatial prediction
  using \code{\link{krige.bayes}} or \code{\link{krige.conv}} and produce
  image plots of the results.
}

\value{
  A list with components:
  \item{xypoly}{coordinates of the points inside the polygon.  }
  \item{vec.inout}{a logical vector indicating whether each point of the grid is inside the polygon.}
}

\references{
  Further information about \code{geoR/geoS} can be found at:\cr
  \url{http://www.maths.lancs.ac.uk/~ribeiro/geoR.html}
}

\author{
  Paulo Justiniano Ribeiro Jr. \email{paulojus@est.ufpr.br} \cr
  Peter J. Diggle \email{p.diggle@lancaster.ac.uk}.
}

%\note{ ~~further notes~~ }

% ~Make other sections like WARNING with \section{WARNING }{....} ~

\seealso{\code{\link{expand.grid}}, \code{\link{inout}}.}

\examples{
poly <- matrix(c(.2, .8, .7, .1, .2, .1, .2, .7, .7, .1), ncol=2)
plot(0:1, 0:1, type="n")
lines(poly)
poly.in <- polygrid(seq(0,1,l=11), seq(0,1,l=11), poly, vec=T)
points(poly.in$xy)
}
\keyword{spatial}%-- one or more ...
